Bug 186331 - suspend to ram can get confused; re-suspend
suspend to ram can get confused; re-suspend
Status: CLOSED DUPLICATE of bug 183709
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 18:05 EST by William Murray
Modified: 2013-03-13 00:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 18:32:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Murray 2006-03-22 18:05:22 EST
Description of problem:
Sometimes resume from suspend-to-ram 'bounces' back to sleep
after briefly waking up. Inspection of /var/log/messages shows
messages such as:
Mar 22 16:14:32 billmurray gnome-power-manager: Suspending computer because the
lid has been closed on ac power
Mar 22 16:33:16 billmurray gnome-power-manager: Suspending computer because the
lid has been closed, and the ac adapter removed

This ocurred when I removed the power cable half way through suspending the
machine. I think something similar happens if I suspend for longer than
the inactive time set in gnome-power-manager: On resume it sees it has
been inactive and suspends.

Version-Release number of selected component (if applicable):
FC5 release

How reproducible:
I will try to be systematic when I have two machines to use.

Steps to Reproduce:
1. Suspend and resume a few times.
2. Watch the resume. Sometimes it flashes up and disappeears again.
3.
  
Actual results:
Watch the resume. Sometimes it flashes up and disappeears again.
Eventually it resumes.

Expected results:
Resume in ~8 seconds.


Additional info:
Comment 1 David L. 2006-03-26 09:02:53 EST
I have a similar problem. If I hibernate by a lid close, then on resume hal
still thinks the lid is closed:

lshal | grep button.state
  button.state.value = true  (bool)

If I then pull the AC, it immediately goes into hibernate again. See gnome bug
http://bugzilla.gnome.org/show_bug.cgi?id=334220  for more info.

Actually, its a bit more complicated than that -- for example, if you restart
gnome-power-manager, hal still displays the wrong lid state, but the system no
longer goes into hibernate when you pull the AC.


Comment 2 Austin Jackson 2006-03-26 20:31:45 EST
I can confirm this bug on a Dell Latitude X1.  For me, it happens when I put the
computer to sleep with the adapter plugged-in then try to resume with the
computer unplugged.

The machine will stay awake after waking it from the second suspend.

Comment 3 Austin Jackson 2006-03-26 20:54:59 EST
(In reply to comment #2)
> I can confirm this bug on a Dell Latitude X1.  For me, it happens when I put the
> computer to sleep with the adapter plugged-in then try to resume with the
> computer unplugged.
> 
> The machine will stay awake after waking it from the second suspend.
> 
> 

Just to update this: the lit state appears to get lost when there is a change in
power state.  Putting the machine to sleep using the sleep button provides a
temporary work-around.

Comment 4 Kevin DeKorte 2006-03-28 08:54:09 EST
I my IBM T41p if I put the machine to sleep using Fn-F4, letting it go to sleep
and then hitting Fn to wake it back up, it bounces back asleep and I have to hit
Fn again. After that the machine wakes up fine.

gnome-power-manager-2.14.0-1  on FC5
Comment 5 Rod Nayfield 2006-04-11 18:32:58 EDT

*** This bug has been marked as a duplicate of 183709 ***

Note You need to log in before you can comment on or make changes to this bug.